Subject: bug#17117: Not all downloaded files are printed

From: Joshua Branson <[email-masked]>
Date: Thu, 16 Mar 2017 20:41:35 +0000

I think that these “extra” packages are just dependancies.  So if I understand the original email correctly, there are 5 files that need to be downloaded first “openconnect”, “zlib”, “openssl”, “libxml”, and “vpnc”.

BUT later on guix downloads perl.  BUT openssl as it turns out depends on perl.   Another example is that libgcrypt is also downloaded.  BUT vpnc depends on libgcrypt.  

BUT when I ran “guix build openconnect”  (I’m running guix 0.12.0-5.1162)

I had different output.  It said

The following derivations will be built:

open connect
iproute2
libgcrypt
libgpg-error
perl
xz
vpnc
gnutls
libxml2

At that point, I C-c C-c and stopped the build, so I didn’t check to see if guix would later try to install dependancies that it did not initially mention.

This bug might be fixed.

Joshua